QueryMaker (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.feeds.QueryMaker interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Interface QueryMaker

All Known Implementing Classes:
  AbstractQueryMaker, EnwikiQueryMaker, FileBasedQueryMaker, LongToEnglishQueryMaker, ReutersQueryMaker, SimpleQueryMaker, SimpleSloppyPhraseQueryMaker

    public interface QueryMaker

Create queries for the test.

Method Summary
`org.apache.lucene.search.Query` | `makeQuery()` Create the next query
`org.apache.lucene.search.Query` | `makeQuery(int size)` Create the next query, of the given size.
`String` | `printQueries()` Print the queries
`void` | `resetInputs()` Reset inputs so that the test run would behave, input wise, as if it just started.
`void` | `setConfig(Config config)` Set the properties

Method Detail

### makeQuery

    org.apache.lucene.search.Query makeQuery(int size)
                                             throws Exception

  Create the next query, of the given size.

  Parameters:
    `size` - the size of the query - number of terms, etc.
  Throws:
    `Exception` - if cannot make the query, or if size>0 was specified but this feature is not supported.

### makeQuery

    org.apache.lucene.search.Query makeQuery()
                                             throws Exception

  Create the next query

  Throws:
    `Exception`

### setConfig

    void setConfig(Config config)
                   throws Exception

  Set the properties

  Throws:
    `Exception`

### resetInputs

    void resetInputs()

  Reset inputs so that the test run would behave, input wise, as if it just started.

### printQueries

    String printQueries()

  Print the queries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD